BUS_PRINT_CHILD(9)

NAME
BUS_PRINT_CHILD - print information about a device

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
int
BUS_PRINT_CHILD(device_t dev, device_t child);

DESCRIPTION
The BUS_PRINT_CHILD() method is called from system code which prints out a description of a device. It should describe the attachment that the child has with the parent. For instance the TurboLaser bus prints which node the device is attached to. Please see bus_generic_print_child(9) for more information regarding the proper formatting of the messages printed by BUS_PRINT_CHILD().

RETURN VALUES
The number of characters output.

SEE ALSO
device(9), driver(9)

AUTHORS
This manual page was written by Doug Rabson.